<?php
/*
Template Name: Modèle de proposition de série
Template Post Type: page
*/
get_header();

$mess = '';
// Création et sauvegarde de l'article envoyé via le formulaire
if(isset($_POST['submit_post']) && isset($_POST['post_nonce_field']) && wp_verify_nonce($_POST['post_nonce_field'], 'post_nonce')){
   // Je vérifie que le titre a bien été ajouté et envoyé
   if ( trim( $_POST['postTitle'] ) === '' ) {
	  $mess = 'Veuillez renseigner le titre de la série que vous souhaitez voir intégrer sur IZI Séries';
   } else {
	  
	  // Post to save
	  $post_information = array(
		 'post_title' 	=> wp_strip_all_tags( $_POST['postTitle'] ),
		 'post_type' 	=> 'series',
		 'post_status' 	=> 'pending',
		 'post_author'   => 1,
	  );
	  wp_insert_post( $post_information );
	  $mess = 'Votre soumission a bien été enregistrée et sera traitée dans les plus brefs délais !';
   }
}
?>
<!-- /* INTERNAL PAGE HEADER IMG -->
<div class="container-fluid p-0 position-relative pagehead">
	<div class="filterdiv internalpage position-absolute top-0 start-0"></div>
	<?php
	if (has_post_thumbnail()) {
		the_post_thumbnail('full', ['class' => 'img-fluid w-100']); 
	} else {
		echo '<img src="' . get_template_directory_ur() . '/assets/img/actu/fallout-serie-tv.jpg" class="img-fluid w-100" alt="Actu Séries" loading="lazy">';
	}
	?>
</div>
<!-- IMG END -->

    <!-- PAGE CONTENT -->
    <article class="container mt-3">
        <div class="row justify-content-md-center">
			<div class="col-12 mb-4">
				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
				<h1 class="htitles my-5"><?php the_title(); ?></h1>
				<?php
				the_content;
			
				endwhile; else:
					echo '<p>Aucun contenu à afficher</p>';
				endif;
				wp_reset_postdata();
				?>
            </div>
			<div class="col-12 mb-4">

				<div class="post-box">
				<?php if ( $mess != "") 
					echo '<div class="alert alert-primary alert-dismissible fade show" role="alert">
					<strong>'.$mess.'</strong>
					<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Fermer"></button>
				  </div>';
				 } ?>
					
					<form action="/proposer-une-serie" class="iziform" id="primaryPostForm" method="POST">
						<div class="input-group mb-4">
						<!-- Champs destiné au titre de la série -->
						<input type="text"class="form-control form-control-lg" placeholder="Proposer l'ajout d'une série !" name="postTitle" id="postTitle" class="required" value="<?php if(isset($_POST['postTitle'])){ echo stripslashes($_POST['postTitle']); } ?>" />

						<?php
							// Champs de sécurité
							wp_nonce_field( 'post_nonce', 'post_nonce_field' );
						?>
						<div class="input-group-append">				
						<input type="submit" name="submit_post" class="btn btn-outline-secondary btn-lg" id="submit_post" value="Soumettre" />
						</div>
						</div>
					</form>
					
				</div>
            </div>
        </div>
    </article>
    <!-- PAGE CONTENT END -->

<?php
get_template_part('template-parts/content-videobg');
get_template_part('template-parts/content-prefooter');
get_footer();